# Show commands as they are run.
set -x
# Exit on error.
set -e
ROOT=$(dirname $(realpath $0))/..

chips=('STM32F401CE' 'STM32F401RE' 'STM32F401VE' 'STM32F401CD' 'STM32F401RD' 'STM32F401VD' 'STM32F401CC' 'STM32F401RC' 'STM32F401VC' 'STM32F401CB' 'STM32F401RB' 'STM32F401VB' 'STM32F410TB' 'STM32F410CB' 'STM32F410RB' 'STM32F410T8' 'STM32F410C8' 'STM32F410R8' 'STM32F411CE' 'STM32F411RE' 'STM32F411VE' 'STM32F411CC' 'STM32F411RC' 'STM32F411VC' 'STM32F412CG' 'STM32F412RG' 'STM32F412VG' 'STM32F412ZG' 'STM32F412CE' 'STM32F412RE' 'STM32F412VE' 'STM32F412ZE' 'STM32F423CH' 'STM32F423RH' 'STM32F423MD' 'STM32F423VH' 'STM32F423ZH' 'STM32F413CH' 'STM32F413RH' 'STM32F413MH' 'STM32F413VH' 'STM32F413ZH' 'STM32F413CG' 'STM32F413RG' 'STM32F413MG' 'STM32F413VG' 'STM32F413ZG')


for c in ${chips[@]}
do
    echo Testing $c...
    builddir=$ROOT/build/chip-$c
    rm -rf $builddir
    mkdir -p $builddir
    meson $builddir --cross-file stm32-meson/stm32f4.build -Dstm32_chip=$c -Dstm32_cube_dir=$stm32_cube_dir
    ninja -C $builddir
done
